Sync Lipsync 3
ஒருங்கிணை
sync-lipsync/v3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sync-lipsync/v3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/v3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/v3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ta/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "sync-lipsync/v3",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
}
Doitong API மூலம் Sync Lipsync 3 மாதிரியை (sync-lipsync/v3) அழைக்கவும். முகவர்களுக்கான ஆவணங்கள்: https://doitong.com/ta/developers/models/sync-lipsync/v3.md
POST https://api.doitong.ru/v1/run/sync-lipsync/v3?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
பதிலின் நிலை "queued" அல்லது "running" எனில், அது "succeeded" ஆகும் வரை GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 மூலம் தொடர்ந்து சரிபார்க்கவும்; கோப்புகள் outputs[].url இல் உள்ளன. அதே body-யுடன் POST https://api.doitong.ru/v1/quote/sync-lipsync/v3 அனுப்பினால், இயக்கத்திற்கு முன் துல்லியமான விலை கிடைக்கும்.
எடுத்துக்காட்டு போன்ற கோப்புகள்: $1.334 1,334 API கிரெடிட்கள் · ≈ ₽140.69 இயக்குவதற்கு முன் உங்கள் கோப்புகள் அளவிடப்படும் இந்தப் பக்கத்தில் இயக்குங்கள்
உங்கள் புதிய API விசை. இது இப்போது மட்டும் காட்டப்படுகிறது; இது ஏற்கனவே கீழே உள்ள குறியீட்டிலும் API விசை புலத்திலும் உள்ளது. இதை ரகசியமாக வைத்திருங்கள்: உலாவியில் இயங்கும் குறியீட்டில் இதை ஒருபோதும் வைக்காதீர்கள்.
உங்கள் முதல் முடிவு இங்கே வரும்
கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.
கோரிக்கையை உருவாக்கு
மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.
/run/sync-lipsync/v3?wait=20
விலை → $1.334
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sync-lipsync/v3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/v3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/v3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "sync-lipsync/v3",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"wait_seconds": 20
}
}
}
இந்தக் கோரிக்கையை இயக்கு
உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்
Sync Lipsync 3 பற்றி
Sync Labs-ன் lipsync-3, வீடியோவில் உள்ள ஒருவரின் வாய் அசைவுகளைப் புதிய குரல் தடத்துடன் பொருந்துமாறு மாற்றுகிறது; இது dubbing, விளம்பர உள்ளூர்மயமாக்கல் மற்றும் பிந்தைய தயாரிப்பில் வரிகளைச் சரிசெய்வதற்குப் பயன்படும். ஆடியோ மற்றும் வீடியோ நீளங்கள் வேறுபட்டால், வெட்டுதல், லூப் செய்தல், முன்னும் பின்னுமாக இயக்குதல், அமைதியால் நிரப்புதல் அல்லது மறுபடமாக்குதல் ஆகியவற்றில் ஒன்றைத் தேர்ந்தெடுக்கலாம்.
அளவுருக்கள்
நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்
video_urlதேவை
video
audio_urlதேவை
audio
sync_modeவிருப்பத்தேர்வு
optionsவிருப்பத்தேர்வு
options.sync_modeவிருப்பத்தேர்வு
options.model_modeவிருப்பத்தேர்வு
options.promptவிருப்பத்தேர்வு
options.temperatureவிருப்பத்தேர்வு
options.active_speaker_detectionவிருப்பத்தேர்வு
options.active_speaker_detection.auto_detectவிருப்பத்தேர்வு
options.active_speaker_detection.v3விருப்பத்தேர்வு
options.active_speaker_detection.use_v2விருப்பத்தேர்வு
options.active_speaker_detection.frame_numberவிருப்பத்தேர்வு
options.active_speaker_detection.coordinatesவிருப்பத்தேர்வு
options.active_speaker_detection.bounding_boxesவிருப்பத்தேர்வு
options.active_speaker_detection.bounding_boxes_urlவிருப்பத்தேர்வு
options.active_speaker_detection.face_imageவிருப்பத்தேர்வு
options.occlusion_detection_enabledவிருப்பத்தேர்வு
கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்
வெளியீடு
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "sync-lipsync/v3",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1334,
"usd": "1.334",
"charged": 1334,
"refunded": 0
},
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
வெளியீட்டின் புலங்கள்
- video
- object {url, content_type, file_name, file_size}மாதிரி உருவாக்கிய வீடியோ.
பிற Sync 3 மாறுபாடுகள்
மேலும் மாதிரிகள்: உதட்டு ஒத்திசைவு & அவதார்கள்
AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/sync-lipsync/v3.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt